=== debian/changelog ===
boost1.74 (1.74.0+ds1-23.1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:22:42 +0000

boost1.74 (1.74.0+ds1-23.1ubuntu2) noble; urgency=medium

  * No-change rebuild against libopenmpi3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 18:12:55 +0000

boost1.74 (1.74.0+ds1-23.1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable numeric_limits specialization for GCC 14
    + Drop unused packages on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Feb 2024 17:28:22 +0100

boost1.74 (1.74.0+ds1-23.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061979

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 04:05:36 +0000

boost1.74 (1.74.0+ds1-23ubuntu4) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 11:04:46 +0100

boost1.74 (1.74.0+ds1-23ubuntu3) noble; urgency=medium

  * Disable numeric_limits specialization for GCC 14

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Dec 2023 07:59:35 +0100

boost1.74 (1.74.0+ds1-23ubuntu2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 16:27:22 +0000

boost1.74 (1.74.0+ds1-23ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    + Drop unused packages on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Oct 2023 08:44:33 +0200

boost1.74 (1.74.0+ds1-23) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * [99166b3] Move export of buildflags above

  [ Anton Gladky ]
  * [8af0b84] Fix FTBFS during the doc generation. (Closes: #1052887)

 -- Anton Gladky <gladk@debian.org>  Fri, 06 Oct 2023 08:15:55 +0200

boost1.74 (1.74.0+ds1-22ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    + Drop unused packages on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Jul 2023 10:40:43 +0200

boost1.74 (1.74.0+ds1-22) unstable; urgency=medium

  * Team upload
  * [a0999e5] debian/patches/30.patch:
    - cherry-pick upstream patch to fix build failure of numeric apps
      on ppc64el (Closes: #1040524)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Jul 2023 10:19:40 +0200

boost1.74 (1.74.0+ds1-21.2ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    + Drop unused packages on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Jul 2023 09:45:55 +0200

boost1.74 (1.74.0+ds1-21.2) unstable; urgency=medium

  [ Steve Robbins ]
  * [da75f0a] Remove myself from uploaders.

  [ Gianfranco Costamagna ]
  * Non-maintainer upload.
  * [45b1ef6] Fixup test re-enable from Graham
  * [da75f0a] Move cmake_mimimum_required from 3.0 to 3.5
    due to cmake 3.27 issuing new warning (Closes: #1040737)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Jul 2023 17:53:02 +0200

boost1.74 (1.74.0+ds1-21.1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    + Drop unused packages on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 22 Jun 2023 09:47:10 +0200

boost1.74 (1.74.0+ds1-21.1) unstable; urgency=medium

  * Non-maintainer upload.
  * [4cb74a3] Add patch to fix autopkgtests with newer cmake (Closes:
    #1036840)
  * [de6d9b2] Add upstream patch to workaround a qemu issue that prevents
    the package from building successfully on m68k and sh4 (Closes: #1016904)
  * [ec17e0f] d/p/0001-Remove-timestamps-and-dates-from-documentation.patch:
    Add patch to make documentation build reproducible (Closes: #1034740)
  * [a8a6524] Add upstream patch to fix awaitable build failure with newer
    gcc versions (Closes: #1036545)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 22 Jun 2023 08:53:45 +0200

boost1.74 (1.74.0+ds1-21) unstable; urgency=medium

  [ Andreas Beckmann ]
  * [f41f9a1] libboost-thread1.74.0: Add Breaks: libboost-regex1.74.0-icu67 for
              smoother upgrades from bullseye. (Closes: #1036070)

 -- Anton Gladky <gladk@debian.org>  Fri, 19 May 2023 09:24:56 +0200

boost1.74 (1.74.0+ds1-20) unstable; urgency=medium

  * [dc6fadf] Better handling of the upstream version number.

 -- Anton Gladky <gladk@debian.org>  Mon, 30 Jan 2023 18:20:12 +0100

boost1.74 (1.74.0+ds1-19) unstable; urgency=medium

  * [fbde9b9], [6dec554] Use versioned deps on -dev packages in d/tests.
    (Closes: #1028391)
  * Drop many .travis.yml files from the source tarball.

 -- Anton Gladky <gladk@debian.org>  Mon, 30 Jan 2023 07:31:54 +0100

boost1.74 (1.74.0-18.1ubuntu4) mantic; urgency=medium

  * Adapt tests for newer cmake version

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Jun 2023 15:30:24 +0200

boost1.74 (1.74.0-18.1ubuntu3) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 05 Feb 2023 10:25:09 -0500

boost1.74 (1.74.0-18.1ubuntu2) lunar; urgency=medium

  * Rebuild against latest icu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 04 Feb 2023 10:20:50 -0500

boost1.74 (1.74.0-18.1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Drop unused packages on i386

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 25 Dec 2022 23:45:00 +0000

boost1.74 (1.74.0-18.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update PEP-3149 patch to add support for Python 3.11 (which dropped the SO
    sysconfig variable). (Closes: #1024252)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 24 Dec 2022 21:06:20 -0400

boost1.74 (1.74.0-18ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Drop unused packages on i386.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Dec 2022 08:25:13 +0100


